apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: my-argocd-application
  namespace: argocd
spec:
  project: default
  source:
    repoURL: 'https://gitlab.com/berry.othmane/ecom-app-k8s.git'
    targetRevision: HEAD
    path: kubernetes-manifests
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: ecom-app
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
    automated:
      prune: true
      selfHeal: true


